Subject: Re: r128 DRI driver now fully functional on PPC

From: Michel Dänzer <[email-masked]>
Date: Mon, 26 Feb 2001 11:21:10 +0100

Gareth Hughes wrote:
>
> Michel Dänzer wrote:
> >
> > "Timothy A. Seufert" wrote:
> > >
> > > At 9:02 PM +1100 2/23/01, Gareth Hughes wrote:
> > >
> > > >Run with LIBGL_DEBUG=1 and see what it says.
> > >
> > > This revealed what was happening.
> > >
> > > I set the project root to /usr/Xgart to avoid having to overwrite my
> > > existing X11 installation.  libGL was trying to load r128_dri.so, but
> > > it was looking under /usr/X11R6/lib/modules/dri, which doesn't even
> > > exist.
> >
> > Strange, it should look in <ProjectRoot>/lib/modules/dri/ . Seems it
> > didn't pick up the right libGL.
>
> I'd say libGL.so is doing dlopen( "modules/dri/r128_dri.so", ... ) and
> thus picking up the first instance of that in the dynamic loader's
> path.  Similarly, applications linked with -lGL will pick up the first
> instance of libGL.so, not necessarily the one residing under the current
> X server's ProjectRoot directory.

First I thought I'd stand corrected, but on second thought - it looks for
/usr/X11R6-DRI/lib/modules/dri/r128_dri.so on my machine (if ProjectRoot is
/usr/X11R6-DRI), but /usr/X11R6-DRI/lib isn't in ld.so.conf . It even looks
there if I set LD_LIBRARY_PATH to the exports/lib directory in the build tree.

Am I still not getting it? :)

--
Earthling Michel Dänzer (MrCooper)    \   Debian GNU/Linux (powerpc) developer
CS student, Free Software enthusiast   \        XFree86 and DRI project member

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/